diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/examples/fd-tap-ping.cc ns-3.44/src/fd-net-device/examples/fd-tap-ping.cc
--- ns-3.43/src/fd-net-device/examples/fd-tap-ping.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/examples/fd-tap-ping.cc	2025-03-09 16:55:49.375371000 -0700
@@ -195,8 +195,8 @@
     app->SetAttribute("Destination", AddressValue(remoteIp));
     app->SetAttribute("VerboseMode", EnumValue(Ping::VerboseMode::VERBOSE));
     node->AddApplication(app);
-    app->SetStartTime(Seconds(1.0));
-    app->SetStopTime(Seconds(21.0));
+    app->SetStartTime(Seconds(1));
+    app->SetStopTime(Seconds(21));
 
     //
     // Give the application a name.  This makes life much easier when constructing
@@ -218,7 +218,7 @@
     // Now, do the actual emulation.
     //
     NS_LOG_INFO("Run Emulation.");
-    Simulator::Stop(Seconds(25.0));
+    Simulator::Stop(Seconds(25));
     Simulator::Run();
     Simulator::Destroy();
     NS_LOG_INFO("Done.");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/examples/realtime-dummy-network.cc ns-3.44/src/fd-net-device/examples/realtime-dummy-network.cc
--- ns-3.43/src/fd-net-device/examples/realtime-dummy-network.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/examples/realtime-dummy-network.cc	2025-03-09 16:55:49.375371000 -0700
@@ -60,8 +60,8 @@
     app->SetAttribute("Destination", AddressValue(interfaces.GetAddress(0)));
     app->SetAttribute("VerboseMode", EnumValue(Ping::VerboseMode::VERBOSE));
     nodes.Get(1)->AddApplication(app);
-    app->SetStartTime(Seconds(0.0));
-    app->SetStopTime(Seconds(4.0));
+    app->SetStartTime(Seconds(0));
+    app->SetStopTime(Seconds(4));
 
     fd.EnablePcapAll("realtime-dummy-network", false);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/examples/realtime-fd2fd-onoff.cc ns-3.44/src/fd-net-device/examples/realtime-fd2fd-onoff.cc
--- ns-3.43/src/fd-net-device/examples/realtime-fd2fd-onoff.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/examples/realtime-fd2fd-onoff.cc	2025-03-09 16:55:49.375371000 -0700
@@ -94,8 +94,8 @@
     Address sinkLocalAddress(InetSocketAddress(serverIp, sinkPort));
     PacketSinkHelper sinkHelper("ns3::TcpSocketFactory", sinkLocalAddress);
     ApplicationContainer sinkApp = sinkHelper.Install(serverNode);
-    sinkApp.Start(Seconds(0.0));
-    sinkApp.Stop(Seconds(40.0));
+    sinkApp.Start(Seconds(0));
+    sinkApp.Stop(Seconds(40));
     fd.EnablePcap("rt-fd2fd-onoff-server", serverDevice);
 
     // client
@@ -107,11 +107,11 @@
     onoff.SetAttribute("DataRate", DataRateValue(dataRate));
     onoff.SetAttribute("PacketSize", UintegerValue(packetSize));
     ApplicationContainer clientApps = onoff.Install(clientNode);
-    clientApps.Start(Seconds(1.0));
-    clientApps.Stop(Seconds(39.0));
+    clientApps.Start(Seconds(1));
+    clientApps.Stop(Seconds(39));
     fd.EnablePcap("rt-fd2fd-onoff-client", clientDevice);
 
-    Simulator::Stop(Seconds(40.0));
+    Simulator::Stop(Seconds(40));
     Simulator::Run();
     Simulator::Destroy();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/helper/creator-utils.cc ns-3.44/src/fd-net-device/helper/creator-utils.cc
--- ns-3.43/src/fd-net-device/helper/creator-utils.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/helper/creator-utils.cc	2025-03-09 16:55:49.379371200 -0700
@@ -31,12 +31,12 @@
 bool gVerbose = false;
 
 /**
- * \brief Send the file descriptor back to the code that invoked the creation.
+ * @brief Send the file descriptor back to the code that invoked the creation.
  *
- * \param path The socket address information from the Unix socket we use
+ * @param path The socket address information from the Unix socket we use
  * to send the created socket back to.
- * \param fd The file descriptor we're going to send.
- * \param magic_number A verification number to verify the caller is talking to the
+ * @param fd The file descriptor we're going to send.
+ * @param magic_number A verification number to verify the caller is talking to the
  * right process.
  */
 void
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/helper/creator-utils.h ns-3.44/src/fd-net-device/helper/creator-utils.h
--- ns-3.43/src/fd-net-device/helper/creator-utils.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/helper/creator-utils.h	2025-03-09 16:55:49.379371200 -0700
@@ -44,13 +44,13 @@
     }
 
 /**
- * \ingroup fd-net-device
- * \brief Send the file descriptor back to the code that invoked the creation.
+ * @ingroup fd-net-device
+ * @brief Send the file descriptor back to the code that invoked the creation.
  *
- * \param path The socket address information from the Unix socket we use
+ * @param path The socket address information from the Unix socket we use
  * to send the created socket back to.
- * \param fd The file descriptor we're going to send.
- * \param magic_number A verification number to verify the caller is talking to the
+ * @param fd The file descriptor we're going to send.
+ * @param magic_number A verification number to verify the caller is talking to the
  * right process.
  */
 void SendSocket(const char* path, int fd, const int magic_number);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/helper/dpdk-net-device-helper.h ns-3.44/src/fd-net-device/helper/dpdk-net-device-helper.h
--- ns-3.43/src/fd-net-device/helper/dpdk-net-device-helper.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/helper/dpdk-net-device-helper.h	2025-03-09 16:55:49.379371200 -0700
@@ -16,8 +16,8 @@
 {
 
 /**
- * \ingroup fd-net-device
- * \brief build a DpdkNetDevice object attached to a physical network
+ * @ingroup fd-net-device
+ * @brief build a DpdkNetDevice object attached to a physical network
  * interface
  */
 class DpdkNetDeviceHelper : public EmuFdNetDeviceHelper
@@ -33,33 +33,33 @@
     }
 
     /**
-     * \brief Sets list of logical cores to use
+     * @brief Sets list of logical cores to use
      *
-     * \param lCoreList Comma separated logical core list (e.g., "0,1")
+     * @param lCoreList Comma separated logical core list (e.g., "0,1")
      */
     void SetLCoreList(std::string lCoreList);
 
     /**
-     * \brief Sets PMD Library to be used for the NIC
+     * @brief Sets PMD Library to be used for the NIC
      *
-     * \param pmdLibrary The PMD Library
+     * @param pmdLibrary The PMD Library
      */
     void SetPmdLibrary(std::string pmdLibrary);
 
     /**
-     * \brief Sets DPDK Driver to bind NIC to
+     * @brief Sets DPDK Driver to bind NIC to
      *
-     * \param dpdkDriver The DPDK Driver
+     * @param dpdkDriver The DPDK Driver
      */
     void SetDpdkDriver(std::string dpdkDriver);
 
   protected:
     /**
-     * \brief This method creates an ns3::FdNetDevice attached to a physical network
+     * @brief This method creates an ns3::FdNetDevice attached to a physical network
      * interface
      *
-     * \param node The node to install the device in
-     * \returns A container holding the added net device.
+     * @param node The node to install the device in
+     * @returns A container holding the added net device.
      */
     Ptr<NetDevice> InstallPriv(Ptr<Node> node) const override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/helper/emu-fd-net-device-helper.h ns-3.44/src/fd-net-device/helper/emu-fd-net-device-helper.h
--- ns-3.43/src/fd-net-device/helper/emu-fd-net-device-helper.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/helper/emu-fd-net-device-helper.h	2025-03-09 16:55:49.379371200 -0700
@@ -22,8 +22,8 @@
 {
 
 /**
- * \ingroup fd-net-device
- * \brief build a set of FdNetDevice objects attached to a physical network
+ * @ingroup fd-net-device
+ * @brief build a set of FdNetDevice objects attached to a physical network
  * interface
  *
  */
@@ -42,20 +42,20 @@
     /**
      * Get the device name of this device.
      *
-     * \returns The device name of this device.
+     * @returns The device name of this device.
      */
     std::string GetDeviceName();
 
     /**
      * Set the device name of this device.
      *
-     * \param deviceName The device name of this device.
+     * @param deviceName The device name of this device.
      */
     void SetDeviceName(std::string deviceName);
 
     /**
-     * \brief Request host qdisc bypass
-     * \param hostQdiscBypass to enable host qdisc bypass
+     * @brief Request host qdisc bypass
+     * @param hostQdiscBypass to enable host qdisc bypass
      */
     void HostQdiscBypass(bool hostQdiscBypass);
 
@@ -64,21 +64,21 @@
      * This method creates an ns3::FdNetDevice attached to a physical network
      * interface
      *
-     * \param node The node to install the device in
-     * \returns A container holding the added net device.
+     * @param node The node to install the device in
+     * @returns A container holding the added net device.
      */
     Ptr<NetDevice> InstallPriv(Ptr<Node> node) const override;
 
     /**
      * Sets a file descriptor on the FileDescriptorNetDevice.
-     * \param device the device to install the file descriptor in
+     * @param device the device to install the file descriptor in
      */
     virtual void SetFileDescriptor(Ptr<FdNetDevice> device) const;
 
     /**
      * Call out to a separate process running as suid root in order to get a raw
      * socket.  We do this to avoid having the entire simulation running as root.
-     * \return the rawSocket number
+     * @return the rawSocket number
      */
     virtual int CreateFileDescriptor() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/helper/encode-decode.cc ns-3.44/src/fd-net-device/helper/encode-decode.cc
--- ns-3.43/src/fd-net-device/helper/encode-decode.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/helper/encode-decode.cc	2025-03-09 16:55:49.379371200 -0700
@@ -14,13 +14,13 @@
 {
 
 /**
- * \brief Convert a byte buffer to a string containing a hex representation
+ * @brief Convert a byte buffer to a string containing a hex representation
  * of the buffer.  Make the string pretty by adding a colon (':') between
  * the hex.
  *
- * \param buffer The input buffer to be converted.
- * \param len The length of the input buffer.
- * \returns A string containing a hex representation of the data in buffer.
+ * @param buffer The input buffer to be converted.
+ * @param len The length of the input buffer.
+ * @returns A string containing a hex representation of the data in buffer.
  */
 std::string
 BufferToString(uint8_t* buffer, uint32_t len)
@@ -44,13 +44,13 @@
 }
 
 /**
- * \brief Convert string encoded by the inverse function (TapBufferToString)
+ * @brief Convert string encoded by the inverse function (TapBufferToString)
  * back into a byte buffer.
  *
- * \param s The input string.
- * \param buffer The buffer to initialize with the converted bits.
- * \param len The length of the data that is valid in the buffer.
- * \returns True indicates a successful conversion.
+ * @param s The input string.
+ * @param buffer The buffer to initialize with the converted bits.
+ * @param len The length of the data that is valid in the buffer.
+ * @returns True indicates a successful conversion.
  */
 bool
 StringToBuffer(std::string s, uint8_t* buffer, uint32_t* len)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/helper/fd-net-device-helper.h ns-3.44/src/fd-net-device/helper/fd-net-device-helper.h
--- ns-3.43/src/fd-net-device/helper/fd-net-device-helper.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/helper/fd-net-device-helper.h	2025-03-09 16:55:49.379371200 -0700
@@ -23,8 +23,8 @@
 {
 
 /**
- * \ingroup fd-net-device
- * \brief build a set of FdNetDevice objects
+ * @ingroup fd-net-device
+ * @brief build a set of FdNetDevice objects
  * Normally we eschew multiple inheritance, however, the classes
  * PcapUserHelperForDevice and AsciiTraceUserHelperForDevice are
  * treated as "mixins".  A mixin is a self-contained class that
@@ -46,13 +46,13 @@
     /**
      * Set the TypeId of the Objects to be created by this helper.
      *
-     * \param [in] type The TypeId of the object to instantiate.
+     * @param [in] type The TypeId of the object to instantiate.
      */
     void SetTypeId(std::string type);
 
     /**
-     * \param n1 the name of the attribute to set
-     * \param v1 the value of the attribute to set
+     * @param n1 the name of the attribute to set
+     * @param v1 the value of the attribute to set
      *
      * Set these attributes on each ns3::FdNetDevice created
      * by FdNetDeviceHelper::Install
@@ -62,16 +62,16 @@
     /**
      * This method creates a FdNetDevice and associates it to a node
      *
-     * \param node The node to install the device in
-     * \returns A container holding the added net device.
+     * @param node The node to install the device in
+     * @returns A container holding the added net device.
      */
     virtual NetDeviceContainer Install(Ptr<Node> node) const;
 
     /**
      * This method creates a FdNetDevice and associates it to a node
      *
-     * \param name The name of the node to install the device in
-     * \returns A container holding the added net device.
+     * @param name The name of the node to install the device in
+     * @returns A container holding the added net device.
      */
     virtual NetDeviceContainer Install(std::string name) const;
 
@@ -81,8 +81,8 @@
      * (with the attributes  configured by FdNetDeviceHelper::SetDeviceAttribute);
      * adds the device to the node; and attaches the channel to the device.
      *
-     * \param c The NodeContainer holding the nodes to be changed.
-     * \returns A container holding the added net devices.
+     * @param c The NodeContainer holding the nodes to be changed.
+     * @returns A container holding the added net devices.
      */
     virtual NetDeviceContainer Install(const NodeContainer& c) const;
 
@@ -90,22 +90,22 @@
     /**
      * This method creates an ns3::FdNetDevice and associates it to a node
      *
-     * \param node The node to install the device in
-     * \returns A container holding the added net device.
+     * @param node The node to install the device in
+     * @returns A container holding the added net device.
      */
     virtual Ptr<NetDevice> InstallPriv(Ptr<Node> node) const;
 
   private:
     /**
-     * \brief Enable pcap output on the indicated net device.
+     * @brief Enable pcap output on the indicated net device.
      *
      * NetDevice-specific implementation mechanism for hooking the trace and
      * writing to the trace file.
      *
-     * \param prefix Filename prefix to use for pcap files.
-     * \param nd Net device for which you want to enable tracing.
-     * \param promiscuous If true capture all possible packets available at the device.
-     * \param explicitFilename Treat the prefix as an explicit filename if true
+     * @param prefix Filename prefix to use for pcap files.
+     * @param nd Net device for which you want to enable tracing.
+     * @param promiscuous If true capture all possible packets available at the device.
+     * @param explicitFilename Treat the prefix as an explicit filename if true
      */
     void EnablePcapInternal(std::string prefix,
                             Ptr<NetDevice> nd,
@@ -113,15 +113,15 @@
                             bool explicitFilename) override;
 
     /**
-     * \brief Enable ascii trace output on the indicated net device.
+     * @brief Enable ascii trace output on the indicated net device.
      *
      * NetDevice-specific implementation mechanism for hooking the trace and
      * writing to the trace file.
      *
-     * \param stream The output stream object to use when logging ascii traces.
-     * \param prefix Filename prefix to use for ascii trace files.
-     * \param nd Net device for which you want to enable tracing.
-     * \param explicitFilename Treat the prefix as an explicit filename if true
+     * @param stream The output stream object to use when logging ascii traces.
+     * @param prefix Filename prefix to use for ascii trace files.
+     * @param nd Net device for which you want to enable tracing.
+     * @param explicitFilename Treat the prefix as an explicit filename if true
      */
     void EnableAsciiInternal(Ptr<OutputStreamWrapper> stream,
                              std::string prefix,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/helper/netmap-net-device-helper.cc ns-3.44/src/fd-net-device/helper/netmap-net-device-helper.cc
--- ns-3.43/src/fd-net-device/helper/netmap-net-device-helper.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/helper/netmap-net-device-helper.cc	2025-03-09 16:55:49.379371200 -0700
@@ -350,8 +350,7 @@
         // an "ancillary element" but the msghdr uses the control message terminology
         // so we call it "control."
         //
-        size_t msg_size = sizeof(int);
-        char control[CMSG_SPACE(msg_size)];
+        char control[CMSG_SPACE(sizeof(int))];
 
         //
         // There is a msghdr that is used to minimize the number of parameters
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/helper/netmap-net-device-helper.h ns-3.44/src/fd-net-device/helper/netmap-net-device-helper.h
--- ns-3.43/src/fd-net-device/helper/netmap-net-device-helper.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/helper/netmap-net-device-helper.h	2025-03-09 16:55:49.379371200 -0700
@@ -26,8 +26,8 @@
 class NetmapNetDevice;
 
 /**
- * \ingroup fd-net-device
- * \brief build a set of FdNetDevice objects attached to a physical network
+ * @ingroup fd-net-device
+ * @brief build a set of FdNetDevice objects attached to a physical network
  * interface
  *
  */
@@ -41,43 +41,43 @@
     }
 
     /**
-     * \brief Get the device name of this device.
-     * \returns The device name of this device.
+     * @brief Get the device name of this device.
+     * @returns The device name of this device.
      */
     std::string GetDeviceName();
 
     /**
-     * \brief Set the device name of this device.
-     * \param deviceName The device name of this device.
+     * @brief Set the device name of this device.
+     * @param deviceName The device name of this device.
      */
     void SetDeviceName(std::string deviceName);
 
   protected:
     /**
-     * \brief This method creates an ns3::FdNetDevice attached to a physical network
+     * @brief This method creates an ns3::FdNetDevice attached to a physical network
      * interface
-     * \param node The node to install the device in
-     * \returns A container holding the added net device.
+     * @param node The node to install the device in
+     * @returns A container holding the added net device.
      */
     Ptr<NetDevice> InstallPriv(Ptr<Node> node) const;
 
     /**
-     * \brief Sets device flags and MTU.
-     * \param device the FdNetDevice
+     * @brief Sets device flags and MTU.
+     * @param device the FdNetDevice
      */
     virtual void SetDeviceAttributes(Ptr<FdNetDevice> device) const;
 
     /**
-     * \brief Call out to a separate process running as suid root in order to get a raw
+     * @brief Call out to a separate process running as suid root in order to get a raw
      * socket.  We do this to avoid having the entire simulation running as root.
-     * \return the rawSocket number
+     * @return the rawSocket number
      */
     virtual int CreateFileDescriptor() const;
 
     /**
-     * \brief Switch the fd in netmap mode.
-     * \param fd the file descriptor
-     * \param device the NetmapNetDevice
+     * @brief Switch the fd in netmap mode.
+     * @param fd the file descriptor
+     * @param device the NetmapNetDevice
      */
     void SwitchInNetmapMode(int fd, Ptr<NetmapNetDevice> device) const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/helper/tap-fd-net-device-helper.h ns-3.44/src/fd-net-device/helper/tap-fd-net-device-helper.h
--- ns-3.43/src/fd-net-device/helper/tap-fd-net-device-helper.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/helper/tap-fd-net-device-helper.h	2025-03-09 16:55:49.379371200 -0700
@@ -23,8 +23,8 @@
 {
 
 /**
- * \ingroup fd-net-device
- * \brief build a set of FdNetDevice objects attached to a virtual TAP network
+ * @ingroup fd-net-device
+ * @brief build a set of FdNetDevice objects attached to a virtual TAP network
  * interface
  *
  */
@@ -43,42 +43,42 @@
     /**
      * Set flag IFF_NO_PI on the device.
      *
-     * \param pi Set the IFF_NO_PI flag if pi is false.
+     * @param pi Set the IFF_NO_PI flag if pi is false.
      */
     void SetModePi(bool pi);
 
     /**
      * Set the device IPv4 address.
      *
-     * \param address The IPv4 address for the TAP device.
+     * @param address The IPv4 address for the TAP device.
      */
     void SetTapIpv4Address(Ipv4Address address);
 
     /**
      * Set the IPv4 network mask for the TAP device.
      *
-     * \param mask The IPv4 network mask for the TAP device.
+     * @param mask The IPv4 network mask for the TAP device.
      */
     void SetTapIpv4Mask(Ipv4Mask mask);
 
     /**
      * Set the device IPv6 address.
      *
-     * \param address The IPv6 address for the TAP device.
+     * @param address The IPv6 address for the TAP device.
      */
     void SetTapIpv6Address(Ipv6Address address);
 
     /**
      * Set the IPv6 network mask for the TAP device.
      *
-     * \param prefix The IPv6 network prefix for the TAP device.
+     * @param prefix The IPv6 network prefix for the TAP device.
      */
     void SetTapIpv6Prefix(int prefix);
 
     /**
      * Set the MAC address for the TAP device.
      *
-     * \param mac The MAC address the TAP device.
+     * @param mac The MAC address the TAP device.
      */
     void SetTapMacAddress(Mac48Address mac);
 
@@ -87,21 +87,21 @@
      * This method creates an ns3::FdNetDevice attached to a virtual TAP network
      * interface
      *
-     * \param node The node to install the device in
-     * \returns A container holding the added net device.
+     * @param node The node to install the device in
+     * @returns A container holding the added net device.
      */
     Ptr<NetDevice> InstallPriv(Ptr<Node> node) const override;
 
     /**
      * Sets a file descriptor on the FileDescriptorNetDevice.
-     * \param device the device to install the file descriptor in
+     * @param device the device to install the file descriptor in
      */
     void SetFileDescriptor(Ptr<FdNetDevice> device) const override;
 
     /**
      * Call out to a separate process running as suid root in order to create a
      * TAP device and obtain the file descriptor associated to it.
-     * \returns The file descriptor associated with the TAP device.
+     * @returns The file descriptor associated with the TAP device.
      */
     int CreateFileDescriptor() const override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/model/dpdk-net-device.h ns-3.44/src/fd-net-device/model/dpdk-net-device.h
--- ns-3.43/src/fd-net-device/model/dpdk-net-device.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/model/dpdk-net-device.h	2025-03-09 16:55:49.379371200 -0700
@@ -24,9 +24,9 @@
 {
 
 /**
- * \ingroup fd-net-device
+ * @ingroup fd-net-device
  *
- * \brief a NetDevice to read/write network traffic from/into a
+ * @brief a NetDevice to read/write network traffic from/into a
  *        Dpdk enabled port.
  *
  * A DpdkNetDevice object will read and write frames/packets
@@ -37,8 +37,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -62,30 +62,30 @@
      * Initialize Dpdk.
      * Initializes EAL.
      *
-     * \param argc Dpdk EAL args count.
-     * \param argv Dpdk EAL args list.
-     * \param dpdkDriver Dpdk Driver to bind NIC to.
+     * @param argc Dpdk EAL args count.
+     * @param argv Dpdk EAL args list.
+     * @param dpdkDriver Dpdk Driver to bind NIC to.
      */
     void InitDpdk(int argc, char** argv, std::string dpdkDriver);
 
     /**
      * Set device name.
      *
-     * \param deviceName The device name.
+     * @param deviceName The device name.
      */
     void SetDeviceName(std::string deviceName);
 
     /**
      * A signal handler for SIGINT and SIGTERM signals.
      *
-     * \param signum The signal number.
+     * @param signum The signal number.
      */
     static void SignalHandler(int signum);
 
     /**
      * A function to handle rx & tx operations.
-     * \param arg a pointer to the DpdkNetDevice
-     * \return zero on failure or exit.
+     * @param arg a pointer to the DpdkNetDevice
+     * @return zero on failure or exit.
      */
     static int LaunchCore(void* arg);
 
@@ -101,29 +101,29 @@
 
     /**
      * Check the status of the link.
-     * \return Status of the link - up/down as true/false.
+     * @return Status of the link - up/down as true/false.
      */
     bool IsLinkUp() const override;
 
     /**
      * Free the given packet buffer.
-     * \param buf the pointer to the buffer to be freed
+     * @param buf the pointer to the buffer to be freed
      */
     void FreeBuffer(uint8_t* buf) override;
 
     /**
      * Allocate packet buffer.
-     * \param len the length of the buffer
-     * \return A pointer to the newly created buffer.
+     * @param len the length of the buffer
+     * @return A pointer to the newly created buffer.
      */
     uint8_t* AllocateBuffer(size_t len) override;
 
   protected:
     /**
      * Write packet data to device.
-     * \param buffer The data.
-     * \param length The data length.
-     * \return The size of data written.
+     * @param buffer The data.
+     * @param length The data length.
+     * @return The size of data written.
      */
     ssize_t Write(uint8_t* buffer, size_t length) override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/model/fd-net-device.cc ns-3.44/src/fd-net-device/model/fd-net-device.cc
--- ns-3.43/src/fd-net-device/model/fd-net-device.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/model/fd-net-device.cc	2025-03-09 16:55:49.379371200 -0700
@@ -179,7 +179,7 @@
 {
     NS_LOG_FUNCTION(this);
     Start(m_tStart);
-    if (m_tStop != Seconds(0))
+    if (!m_tStop.IsZero())
     {
         Stop(m_tStop);
     }
@@ -326,12 +326,12 @@
 }
 
 /**
- * \ingroup fd-net-device
- * \brief Synthesize PI header for the kernel
- * \param buf the buffer to add the header to
- * \param len the buffer length
+ * @ingroup fd-net-device
+ * @brief Synthesize PI header for the kernel
+ * @param buf the buffer to add the header to
+ * @param len the buffer length
  *
- * \todo Consider having a instance member m_packetBuffer and using memmove
+ * @todo Consider having a instance member m_packetBuffer and using memmove
  * instead of memcpy to add the PI header. It might be faster in this case
  * to use memmove and avoid the extra mallocs.
  */
@@ -372,10 +372,10 @@
 }
 
 /**
- * \ingroup fd-net-device
- * \brief Removes PI header
- * \param buf the buffer to add the header to
- * \param len the buffer length
+ * @ingroup fd-net-device
+ * @brief Removes PI header
+ * @param buf the buffer to add the header to
+ * @param len the buffer length
  */
 static void
 RemovePIHeader(uint8_t*& buf, ssize_t& len)
